classification
Title: Python Developer Guide: Include a reminder to "ping" bug report if not reviewed in timely manner
Type: enhancement Stage: resolved
Components: Devguide Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Todd.Rovito, brett.cannon, chris.jerdonek, docs@python, ezio.melotti, meador.inge, python-dev
Priority: normal Keywords: patch

Created on 2013-01-05 04:21 by Todd.Rovito, last changed 2013-01-09 07:39 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
16868PythonDeveloperGuidePingIssueBeforeEmailingPython-devV3.patch Todd.Rovito, 2013-01-07 13:21
Messages (12)
msg179109 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2013-01-05 04:21
The Python Developer Guide in section 3.3 about the life cycle of a patch/review process makes no mention that a bug should be "pinged" first before posting to the python-dev@python.org email list requesting a review.  

For more information see this thread on the Python-Dev email list: http://mail.python.org/pipermail/python-dev/2013-January/123453.html
msg179110 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2013-01-05 05:29
Here is a suggested patch with help from R. David Murray:
"To begin with, please be patient! There are many more people submitting patches than there are people capable of reviewing your patch. Getting your patch reviewed requires a reviewer to have the spare time and motivation to look at your patch (we cannot force anyone to review patches). If your patch has not received any notice from reviewers (i.e., no comment made) after a substantial amount of time first “ping” the issue on the issue tracker to remind the nosy list that the patch needs a review. It is possible that the nosy committers have just forgotten about the issue. After the issue has been “pinged” and if you don’t get a response after a few days then you may email python-dev@python.org asking for someone to review your patch."
msg179146 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2013-01-05 21:38
This seems like a reasonable addition to me.  Although, I don't like the "substantial amount of time" part (yes I know it was already there).  That should probably be replaced with something more concrete, e.g. one week.
msg179147 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-05 21:48
I would also take out the sentence about forgetting about the issue, because that's just one of several possible reasons and I don't think usually the main reason.
msg179153 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-05 23:55
I agree with Chris.

+substantial amount of time first "ping" the issue on the `issue tracker`_

I would add a comma after 'time'.

> I don't like the "substantial amount of time" part (yes I know it
> was already there).  That should probably be replaced with something
> more concrete, e.g. one week.

That really depends on the situation.  I think the point of that sentence is to make clear that some time might pass before someone can look at the issue, and I'm not sure it's necessary to quantify this.
msg179159 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2013-01-06 00:41
On Sat, Jan 5, 2013 at 5:55 PM, Ezio Melotti <report@bugs.python.org> wrote:

> That really depends on the situation.  I think the point of that sentence is to make clear that some time might
> pass before someone can look at the issue, and I'm not sure it's necessary to quantify this.

It currently says:

"""
 If your patch has not received any notice from reviewers (i.e., no
comment made) after a substantial amount of time then you may email
python-dev@python.org asking for someone to take a look at your patch.
"""

That doesn't seem very useful to me because a newcomer is going to
wonder how much time is "substantial".  If you quantify it, then they
don't really have to think about it as much which makes contributing
easier.
msg179233 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2013-01-06 22:12
I agree with Meador it should be a specific amount of time.  As a beginner at contributing to Python I thought "substantial amount of time" meant one month but it depends on interpretation.  I think making it very specific makes the documentation more clear.  Included in the new patch are the other suggestions made by Mr. Jerdonek.  Thanks for the feedback!
msg179245 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-07 05:47
A month sounds good to me.
msg179262 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2013-01-07 13:21
Ok I changed the time to one month...now the patch reads:
"To begin with, please be patient! There are many more people submitting patches than there are people capable of reviewing your patch. Getting your patch reviewed requires a reviewer to have the spare time and motivation to look at your patch (we cannot force anyone to review patches). If your patch has not received any notice from reviewers (i.e., no comment made) after one month, first “ping” the issue on the issue tracker to remind the nosy list that the patch needs a review. After the issue has been “pinged” and if you don’t get a response after a few days then you may email python-dev@python.org asking for someone to review your patch."
msg179263 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-01-07 13:42
Wording LGTM
msg179420 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-09 07:35
New changeset 3f2637a6fbfa by Ezio Melotti in branch 'default':
#16868: mention that you can "ping" issues before writing to python-dev.
http://hg.python.org/devguide/rev/3f2637a6fbfa
msg179421 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-09 07:39
Fixed with a slightly different wording (thanks Chris for the suggestion).
Thanks Todd for the report and the initial patch!
History
Date User Action Args
2013-01-09 07:39:18ezio.melottisetstatus: open -> closed
type: behavior -> enhancement
messages: + msg179421

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: commit review -> resolved
2013-01-09 07:35:25python-devsetnosy: + python-dev
messages: + msg179420
2013-01-07 13:42:40brett.cannonsetmessages: + msg179263
stage: commit review
2013-01-07 13:22:21Todd.Rovitosetfiles: - 16868PythonDeveloperGuidePingIssueBeforeEmailingPython-devV2.patch
2013-01-07 13:22:13Todd.Rovitosetfiles: - 16868PythonDeveloperGuidePingIssueBeforeEmailingPython-dev.patch
2013-01-07 13:21:58Todd.Rovitosetfiles: + 16868PythonDeveloperGuidePingIssueBeforeEmailingPython-devV3.patch

messages: + msg179262
2013-01-07 05:47:58ezio.melottisetmessages: + msg179245
2013-01-06 22:12:29Todd.Rovitosetfiles: + 16868PythonDeveloperGuidePingIssueBeforeEmailingPython-devV2.patch

messages: + msg179233
2013-01-06 16:42:40brett.cannonsetnosy: + brett.cannon
2013-01-06 00:41:54meador.ingesetmessages: + msg179159
2013-01-05 23:55:16ezio.melottisetmessages: + msg179153
2013-01-05 21:48:22chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg179147
2013-01-05 21:38:18meador.ingesetnosy: + meador.inge
messages: + msg179146
2013-01-05 05:29:44Todd.Rovitosetfiles: + 16868PythonDeveloperGuidePingIssueBeforeEmailingPython-dev.patch
keywords: + patch
messages: + msg179110
2013-01-05 04:21:55Todd.Rovitosetnosy: + ezio.melotti
components: + Devguide, - Documentation
2013-01-05 04:21:06Todd.Rovitocreate